{
    "builders": [
        {
            "accelerator": "kvm",
	    "headless": true,
            "boot_command": [
                "<esc><wait><wait>",
                "install ",
                "auto=true ",
                "priority=critical ",
                "interface=auto ",
                "url=http://{{ .HTTPIP }}:{{ .HTTPPort }}/preseed.cfg ",
                "passwd/user-fullname={{ user `user` }} ",
                "passwd/user-password={{ user `password` }} ",
                "passwd/user-password-again={{ user `password` }} ",
                "passwd/username={{ user `user` }} ",
                "<enter>"
            ],
            "boot_wait": "2s",
            "disk_size": "{{ user `disk_size` }}",
            "format": "qcow2",
            "http_directory": "http",
            "iso_checksum": "{{ user `iso_checksum` }}",
            "iso_checksum_type": "{{ user `iso_checksum_type` }}",
            "iso_url": "{{ user `iso_url` }}",
            "name": "{{ user `name` }}",
            "shutdown_command": "echo '{{ user `password` }}' | sudo -S shutdown -h now",
            "ssh_password": "{{ user `password` }}",
            "ssh_username": "{{ user `user` }}",
            "ssh_wait_timeout": "60m",
            "type": "qemu"
        }
    ],
    "provisioners": [
        {
            "destination": "/tmp/",
            "source": "files/cloud-init_0.7.8-78-g622e20d-1~bddeb_all.deb",
            "type": "file"
        },
        {
            "destination": "/tmp/",
            "source": "files/root-config.tar.gz",
            "type": "file"
        },
        {
            "execute_command": "echo '{{ user `password` }}' | {{ .Vars }} sudo -E -S bash '{{ .Path }}'",
            "inline": [
                "dpkg -i /tmp/cloud-init*.deb",
                "apt-get install -f -y",
                "apt-get install python-crypto -y",
                "tar xvfz /tmp/root-config.tar.gz -C /"
            ],
            "pause_before": "5s",
            "type": "shell"
        },
        {
            "execute_command": "echo '{{ user `password` }}' | {{ .Vars }} sudo -E -S bash '{{ .Path }}'",
            "scripts": [
                "scripts/update.sh",
                "scripts/packages.sh",
                "scripts/cleanup.sh"
            ],
            "type": "shell"
        }
    ],
    "variables": {
        "disk_size": "4096",
        "domain": "",
        "iso_checksum": "2c07ff8cc766767610566297b8729740f923735e790c8e78b718fb93923b448e",
        "iso_checksum_type": "sha256",
        "iso_url": "http://ftp.citylink.co.nz/debian-cd/8.8.0/amd64/iso-cd/debian-8.8.0-amd64-netinst.iso",
        "name": "debian88",
        "password": "admindebian",
        "user": "admindebian"
    }
}
